gtkmm: Gtk::CssProviderError Class Reference

gtkmm 3.24.11

Public Types | Public Member Functions | List of all members
Gtk::CssProviderError Class Reference

Exception class for Gtk::CssProvider errors. More...

`#include <gtkmm/cssprovider.h>`

Inheritance diagram for Gtk::CssProviderError:
[legend]

## Public Types
enum | Code { FAILED , SYNTAX , IMPORT , NAME , DEPRECATED , UNKNOWN_VALUE }
| Error codes for GTK_CSS_PROVIDER_ERROR. More...

## Public Member Functions
| CssProviderError (Code error_code, const Glib::ustring & error_message)
| CssProviderError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::CssProvider errors.

Since gtkmm 3.16

## Member Enumeration Documentation

## ◆ Code

enum Gtk::CssProviderError::Code

Error codes for GTK_CSS_PROVIDER_ERROR.

Enumerator
FAILED | Failed.
SYNTAX | Syntax error.
IMPORT | Import error.
NAME | Name error.
DEPRECATED | Deprecation error.
UNKNOWN_VALUE | Unknown value.

## Constructor & Destructor Documentation

## ◆ CssProviderError() [1/2]

Gtk::CssProviderError::CssProviderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message )

## ◆ CssProviderError() [2/2]

Gtk::CssProviderError::CssProviderError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::CssProviderError::code | ( |  | ) | const